# Check if tickCounter has reached 20 (equivalent to 1 second)
# Reset the tickCounter when it reaches 20
execute as @a[scores={tickCounter=20..}] run scoreboard players set @s tickCounter 0

# Decrease the remaining time for all players that are alive (only if they have time left)
execute as @a[scores={timedLife_time=1..}] run scoreboard players remove @s timedLife_time 1

# Calculate minutes and seconds

# Minutes = timedLife_time / 60
scoreboard players operation @a[scores={timedLife_time=1..}] timedLife_timeMins = @s timedLife_time
scoreboard players set @a[scores={timedLife_time=1..}] timedLife_dummy 60
scoreboard players operation @a[scores={timedLife_time=1..}] timedLife_timeMins /= @s timedLife_dummy

# Seconds = timedLife_time % 60
scoreboard players operation @a[scores={timedLife_time=1..}] timedLife_timeSecs = @s timedLife_time
scoreboard players operation @a[scores={timedLife_time=1..}] timedLife_timeSecs %= @s timedLife_dummy

# Display minutes in the sidebar (only for players with time left)
execute as @a[scores={timedLife_time=1..}] run scoreboard objectives setdisplay sidebar timedLife_timeMins

# Display seconds below the player's name (only for players with time left)
execute as @a[scores={timedLife_time=1..}] run scoreboard objectives setdisplay belowName timedLife_timeSecs

execute as @a[scores={timedLife_time=1..}] run scoreboard objectives setdisplay list netherite_used