# config.mcfunction

# Check for first join
scoreboard players add @a timedLife_firstJoin 0
execute as @a[scores={timedLife_firstJoin=0}] run function timedlife:first_join/first_join

# Set base times for each ore type directly
execute as @a run scoreboard players set @s copper_base_time 225
execute as @a run scoreboard players set @s iron_base_time 300
execute as @a run scoreboard players set @s gold_base_time 380
execute as @a run scoreboard players set @s diamond_base_time 1800
execute as @a run scoreboard players set @s emerald_base_time 800
execute as @a run scoreboard players set @s lapis_base_time 540
execute as @a run scoreboard players set @s netherite_base_time 36000
execute as @a run scoreboard players set @s quartz_base_time 469
execute as @a run scoreboard players set @s redstone_base_time 120
execute as @a run scoreboard players set @s beacon_base_time 7200

# Set other objectives directly
execute as @a run scoreboard objectives add other_ore_increase dummy "Other Ore Increase"
execute as @a run scoreboard players set @s other_ore_increase 15

execute as @a run scoreboard objectives add min_base_time dummy "Minimum Base Time"
execute as @a run scoreboard players set @s min_base_time 0

execute as @a run scoreboard objectives add max_usage_limit dummy "Maximum Usage Limit"
execute as @a run scoreboard players set @s max_usage_limit 50

# Mark the player as no longer new
execute as @a run scoreboard players set @s is_new 1

# Debugging or confirmation message (optional)
tellraw @a [{"text":"[Frosty Souls]: ","color":"blue"},{"text":"New Soul has been successfully birthed!","color":"white"}]
tellraw @s [{"text":"[Frosty Souls]: ","color":"blue"},{"text":"Choose your difficulty mode:","color":"white"}]
tellraw @s [{"text":"[Easy Mode] ","color":"green","clickEvent":{"action":"run_command","value":"/function timedlife:diff/easy"}}]
tellraw @s [{"text":"[Normal Mode] ","color":"yellow","clickEvent":{"action":"run_command","value":"/function timedlife:diff/normal"}}]
tellraw @s [{"text":"[Hard Mode] ","color":"red","clickEvent":{"action":"run_command","value":"/function timedlife:diff/hard"}}]
tellraw @a [{"text":"[Frosty Souls]: ","color":"blue"},{"text":"Or ignore to use Custom Values in config.","color":"white"}]
