# Initialize scoreboard objectives for each ore type
scoreboard objectives add copper_used dummy
scoreboard objectives add iron_used dummy
scoreboard objectives add gold_used dummy
scoreboard objectives add diamond_used dummy
scoreboard objectives add emerald_used dummy
scoreboard objectives add lapis_used dummy
scoreboard objectives add netherite_used dummy
scoreboard objectives add quartz_used dummy
scoreboard objectives add redstone_used dummy
scoreboard objectives add beacon_used dummy

# Create scoreboard objectives for each ore type's base time
scoreboard objectives add copper_base_time dummy "Copper Base Time"
scoreboard objectives add iron_base_time dummy "Iron Base Time"
scoreboard objectives add gold_base_time dummy "Gold Base Time"
scoreboard objectives add diamond_base_time dummy "Diamond Base Time"
scoreboard objectives add emerald_base_time dummy "Emerald Base Time"
scoreboard objectives add lapis_base_time dummy "Lapis Base Time"
scoreboard objectives add netherite_base_time dummy "Netherite Base Time"
scoreboard objectives add quartz_base_time dummy "Quartz Base Time"
scoreboard objectives add redstone_base_time dummy "Redstone Base Time"
scoreboard objectives add beacon_base_time dummy "Beacon Base Time"

# Initialize a scoreboard objective to track players' time (in seconds)
scoreboard objectives add timedLife_time dummy

# Initialize scoreboards for use limits and prestige tracking
scoreboard objectives add copper_used_count dummy
scoreboard objectives add iron_used_count dummy
scoreboard objectives add gold_used_count dummy
scoreboard objectives add diamond_used_count dummy
scoreboard objectives add emerald_used_count dummy
scoreboard objectives add lapis_used_count dummy
scoreboard objectives add netherite_used_count dummy
scoreboard objectives add quartz_used_count dummy
scoreboard objectives add redstone_used_count dummy
scoreboard objectives add beacon_used_count dummy

# Scoreboards to track how many times each ore type reached its limit
scoreboard objectives add copper_limit_reached dummy
scoreboard objectives add iron_limit_reached dummy
scoreboard objectives add gold_limit_reached dummy
scoreboard objectives add diamond_limit_reached dummy
scoreboard objectives add emerald_limit_reached dummy
scoreboard objectives add lapis_limit_reached dummy
scoreboard objectives add netherite_limit_reached dummy
scoreboard objectives add quartz_limit_reached dummy
scoreboard objectives add redstone_limit_reached dummy
scoreboard objectives add beacon_limit_reached dummy
scoreboard objectives add coal_limit_reached dummy

# set new status
scoreboard objectives add is_new dummy

# Initialize a scoreboard for tracking players' involement
scoreboard objectives add player_playing dummy
scoreboard players set @a player_playing 1

# Initialize a scoreboard for tracking players' movement since death
scoreboard players set @a timedLife_movedSinceDeath 0


# Debugging or confirmation message (optional)
tellraw @a [{"text":"[Frosty Souls 1.4.4]: ","color":"blue"},{"text":"Datapack by gearsgodmaster (modrinth)","color":"white"}]
