# Handle new players and game state

# Only execute the function if the player is not marked as playing
execute as @a unless score @s player_playing matches 1 run function timedlife:handle_new

# Handle player tags based on gamemode and movement
tag @a remove timedlife
tag @a[gamemode=adventure,scores={timedLife_movedSinceDeath=1..}] add timedlife
tag @a[gamemode=survival,scores={timedLife_movedSinceDeath=1..}] add timedlife
execute as @a[scores={timedLife_movedSinceDeath=1..}] run scoreboard players set @s player_playing 2

#execute as @a[scores={timedLife_movedSinceDeath=1..}] run tellraw @s [{"text":"[TimedLife]: Moved Time Since Death: ","color":"yellow"},{"score":{"name":"@s","objective":"timedLife_movedSinceDeath"}}]

# Handle player death
execute as @a[scores={timedLife_time=..0}] run kill @s
execute as @a[scores={timedLife_time=..0}] run tellraw @s [{"text":"[TimedLife]: Frozen Dark One Found you Worthless!","color":"red"}]

execute as @a[scores={timedLife_deaths=1..}] run function timedlife:death/handle_death
execute as @a[scores={timedLife_deaths=1..}] run tellraw @s [{"text":"[TimedLife]: Half your time removed to appease the Frozen Dark One","color":"dark_red"}]

# Title and status updates
execute as @a run function timedlife:time/tick_timer
#execute as @a run function timedlife:utils/sneaking

# Output the current sneaking status for each player
#execute as @a run tellraw @s [{"text":"[TimedLife]: Sneaking Status: ","color":"yellow"},{"score":{"name":"@s","objective":"timedLife_sneaking"}}]

# Debug message for function execution
#tellraw @a [{"text":"[TimedLife]: Function tick is executing.","color":"blue"}]
