# --- Uninstall Function: Remove All Data ---

# Optional: Remove advancements or stored NBT data if needed (not included by default)
# This depends on your specific usage; let me know if you use NBT or advancements.
# Stop any scheduled functions
schedule clear timedlife:time/tick
schedule clear timedlife:time/tick_timer
schedule clear timedlife:blocks/block_tick_timer
schedule clear timedlife:time/timedlife:sneaking

### Remove all scoreboards used by the datapack
scoreboard objectives remove timedLife_time
scoreboard objectives remove timedLife_timeSecs
scoreboard objectives remove timedLife_timeMins
scoreboard objectives remove tickCounter
scoreboard objectives remove blockTickCounter
scoreboard objectives remove timedLife_sneaking
scoreboard objectives remove timedLife_sneakingTime
scoreboard objectives remove timedLife_firstJoin
scoreboard objectives remove timedLife_deaths
scoreboard objectives remove timedLife_movedSinceDeath
scoreboard objectives remove timedLife_walked
scoreboard objectives remove timedLife_sprinted
scoreboard objectives remove timedLife_dummy
scoreboard objectives remove timedLife_deathTimeLost
scoreboard objectives remove timedLife_deathTimeLostMins
scoreboard objectives remove timedLife_deathLoseDividor
scoreboard objectives remove tick_count

# Clear scoreboard objectives for each ore type
scoreboard objectives remove copper_used
scoreboard objectives remove iron_used
scoreboard objectives remove gold_used
scoreboard objectives remove diamond_used
scoreboard objectives remove emerald_used
scoreboard objectives remove lapis_used
scoreboard objectives remove netherite_used
scoreboard objectives remove quartz_used
scoreboard objectives remove redstone_used
scoreboard objectives remove beacon_used

# Clear base time objectives for each ore
scoreboard objectives remove copper_base_time
scoreboard objectives remove iron_base_time
scoreboard objectives remove gold_base_time
scoreboard objectives remove diamond_base_time
scoreboard objectives remove beacon_base_time
scoreboard objectives remove emerald_base_time
scoreboard objectives remove lapis_base_time
scoreboard objectives remove netherite_base_time
scoreboard objectives remove quartz_base_time
scoreboard objectives remove redstone_base_time

# Clear maximum usage limit objective
scoreboard objectives remove max_usage_limit

# Clear prestige limit reached scoreboards for each ore type
scoreboard objectives remove copper_limit_reached
scoreboard objectives remove iron_limit_reached
scoreboard objectives remove gold_limit_reached
scoreboard objectives remove diamond_limit_reached
scoreboard objectives remove emerald_limit_reached
scoreboard objectives remove lapis_limit_reached
scoreboard objectives remove netherite_limit_reached
scoreboard objectives remove quartz_limit_reached
scoreboard objectives remove redstone_limit_reached
scoreboard objectives remove beacon_limit_reached

#clear scoreboards for use limits and prestige tracking
scoreboard objectives remove copper_used_count 
scoreboard objectives remove iron_used_count 
scoreboard objectives remove gold_used_count 
scoreboard objectives remove diamond_used_count 
scoreboard objectives remove emerald_used_count 
scoreboard objectives remove lapis_used_count 
scoreboard objectives remove netherite_used_count 
scoreboard objectives remove quartz_used_count 
scoreboard objectives remove redstone_used_count 
scoreboard objectives remove beacon_used_count 

#clear economy Settings
scoreboard objectives remove other_ore_increase
scoreboard objectives remove min_base_time
scoreboard objectives remove hunger_timer


# Clear all player tags related to the datapack
tag @a remove timedlife
tag @a remove timedlife_joined
scoreboard objectives remove is_new
scoreboard objectives remove player_playing


# Notify players that the datapack has been uninstalled
tellraw @a ["",{"text":"The FrostySouls datapack has been uninstalled.","color":"red"}]

# Uninstall complete
